OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
DropDownListCharStringItem Class Reference

List item containing a C char string. More...

`#include <dropdown_type.h>`

Inheritance diagram for DropDownListCharStringItem:

## Public Member Functions
| DropDownListCharStringItem (const char *raw_string, int result, bool masked)
virtual StringID | String () const
Public Member Functions inherited from DropDownListStringItem
| DropDownListStringItem (StringID string, int result, bool masked)
virtual bool | Selectable () const
virtual uint | Width () const
virtual void | Draw (int left, int right, int top, int bottom, bool sel, int bg_colour) const
Public Member Functions inherited from DropDownListItem
| DropDownListItem (int result, bool masked)
virtual uint | Height (uint width) const

## Data Fields
const char * | raw_string
Data Fields inherited from DropDownListStringItem
StringID | string
| String ID of item.
Data Fields inherited from DropDownListItem
int | result
| Result code to return to window on selection.
bool | masked
| Masked and unselectable item.

## Additional Inherited Members
Static Public Member Functions inherited from DropDownListStringItem
static int CDECL | NatSortFunc (const DropDownListItem *const *first, const DropDownListItem *const *second)
| Natural sorting comparator function for DropDownList::sort().

## Detailed Description

List item containing a C char string.

Definition at line 73 of file dropdown_type.h.

The documentation for this class was generated from the following files:

- src/widgets/dropdown_type.h
- src/widgets/dropdown.cpp